Subject: Re: [PATCH net-next 0/2] Move hwmon support out of switch and into PHYs.

From: Guenter Roeck <[email-masked]>
Date: Wed, 11 Jan 2017 10:00:18 -0800

On Wed, Jan 11, 2017 at 06:37:41PM +0100, Andrew Lunn wrote:
> 
> However, at the moment, there is no code to enable interrupts for
> temperature alarms. I also don't see any need to add such code, since
> there is nowhere in HWMON to actively report such an alarm condition.
> 
That is not entirely correct. It is not in the hwmon core, but that is
mostly because the sysfs attributes are managed in the hwmon drivers,
at least with the legacy API, and it is thus the responsibility of
hwmon drivers to implement interrupts and to alert user space.

It is on my task list to add a callback into the core, to support
generating udev and sysfs events with the new API, but so far I don't
see a need for it because no one requested it. This makes it kind
of a circular argument (not that the dsa hwmon driver supports the
new API anyway, but still).

Guenter